Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# messagedialog.h File Reference

A GtkMessageDialog C++ wrapper interface. More...

`#include <inti/gtk/dialog.h>`
`#include <gtk/gtkmessagedialog.h>`

Go to the source code of this file.

## Namespaces

- namespace Inti
- namespace Inti::Gtk

## Detailed Description

A GtkMessageDialog C++ wrapper interface.

Provides MessageDialog, a dialog with an image representing the type of message (Error, Question, etc.) alongside some message text. It's simply a convenience widget; you could construct the equivalent of MessageDialog from Dialog without too much effort, but MessageDialog saves typing.
Main Page - Footer